import { html as n } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (a, r, i, t) => {
  for (var e = t > 1 ? void 0 : t ? m(r, i) : r, s = a.length - 1, o; s >= 0; s--)
    (o = a[s]) && (e = (t ? o(r, i, e) : o(e)) || e);
  return t && e && g(r, i, e), e;
};
let l = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--starCircleFilledLarge", this.class = "c-pieIcon c-pieIcon--starCircleFilledLarge", this.name = "IconStarCircleFilledLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--starCircleFilledLarge"><path d="m17.829 16.866.656-.639 1.164-1.128-1.602-.236-.91-.132-.41-.822-.718-1.453-.718 1.453-.411.822-.91.132-1.601.236 1.163 1.128.657.64-.158.91-.271 1.6 1.435-.752.814-.429.813.429 1.435.753-.27-1.602z"></path><path fill-rule="evenodd" d="M16 3.75C9.245 3.75 3.75 9.245 3.75 16S9.245 28.25 16 28.25 28.25 22.755 28.25 16 22.755 3.75 16 3.75m2.292 9.38 3.36.49h-.017a.873.873 0 0 1 .49 1.488l-2.433 2.37.578 3.343a.877.877 0 0 1-1.278.919l-3-1.575-3.002 1.575a.87.87 0 0 1-.928-.061.88.88 0 0 1-.35-.858l.578-3.342-2.433-2.371a.873.873 0 0 1 .49-1.488l3.36-.49 1.505-3.045c.15-.297.464-.446.788-.446s.639.149.787.446z" clip-rule="evenodd"></path></svg>`;
  }
};
c([
  p({ type: String, reflect: !0 })
], l.prototype, "size", 2);
c([
  p({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = c([
  h("icon-star-circle-filled-large")
], l);
export {
  l as IconStarCircleFilledLarge
};
